StreamUtils (Lucene 3.6.2 API)
Keywords: org.apache.lucene.benchmark.byTask.utils.StreamUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.utils
Class StreamUtils

    java.lang.Object
      org.apache.lucene.benchmark.byTask.utils.StreamUtils

    public class StreamUtils

extends Object

Stream utilities.

Nested Class Summary
`static class` | `StreamUtils.Type` File format type

Field Summary
`static int` | `BUFFER_SIZE` Buffer size used across the benchmark package

Constructor Summary
`StreamUtils()`

Method Summary
`static InputStream` | `inputStream(File file)` Returns an `InputStream` over the requested file.
`static OutputStream` | `outputStream(File file)` Returns an `OutputStream` over the requested file, identifying the appropriate `OutputStream` instance similar to `inputStream(File)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFER_SIZE

    public static final int BUFFER_SIZE

  Buffer size used across the benchmark package

  See Also:
    Constant Field Values

Constructor Detail

### StreamUtils

    public StreamUtils()

Method Detail

### inputStream

    public static InputStream inputStream(File file)
                                   throws IOException

  Returns an `InputStream` over the requested file. This method attempts to identify the appropriate `InputStream` instance to return based on the file name (e.g., if it ends with .bz2 or .bzip, return a 'bzip' `InputStream`).

  Throws:
    `IOException`

### outputStream

    public static OutputStream outputStream(File file)
                                     throws IOException

  Returns an `OutputStream` over the requested file, identifying the appropriate `OutputStream` instance similar to `inputStream(File)`.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD